Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class JoinHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler
              org.jbpm.bpmn2.xml.JoinHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

    public class JoinHandler

extends AbstractNodeHandler

Field Summary

Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`JoinHandler()`

Method Summary
`protected Node` | `createNode(Attributes attrs)`
`Class` | `generateNodeFor()`
`void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`

Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler
`end, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeNode, writeScript, writeScripts, writeScripts`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### JoinHandler

    public JoinHandler()

Method Detail

### createNode

    protected Node createNode(Attributes attrs)

  Specified by:
    `createNode` in class `AbstractNodeHandler`

### generateNodeFor

    public Class generateNodeFor()

### writeNode

    public void writeNode(Node node,
                          StringBuilder xmlDump,
                          int metaDataType)

  Specified by:
    `writeNode` in class `AbstractNodeHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.